Subject: Re: CCL:ASSIGNMENT OF ATOM TYPES IN MMFF94

From: Richard Gillilan <[email-masked]>
Date: Tue, 15 Feb 2000 12:33:53 -0500

First, the easy part:

>2) Coordination no. (i.e. no of attached atoms) for all the 3 types (38)NPYD,
>   (39)NPYL and (79)N5 is [2]. How is this possible? e.g. in pyrrole, the
> nitrogen atom gets atom type (39)NPYL, then how does (39)NPYL have
>  coordination no. [2]?

If you are looking at table II of Halgren's first paper on MMFF94,
the coordination number, [2], listed for NPYL is a typo. The 
properties table (I) in his paper V lists the coordination number
as [3]. 

----- now the hard part 

If you don't already know, it is very informative to look at the
assigned structures in the free validation suite available on the 
osc web page. I tripped over this problem last summer, so it's not too
fresh in my mind, but here goes:

> The following questions arise from these facts:

> 1) If ring is a hetero-aromatic 5-ring, with respect to the base atom,
> only 4 atoms  need to be addressed. Clearly 2 of them (the 2 atoms
> directly connected to base atom) will be alpha to the base atom,
> remaining 2 will be beta to the base atom. (If the hetero atom is N, it
> would be of type (39)NPYL. Hence, any other N in the same 5-ring will
> have the atom type (38)NPYD or (65)N5A or (66)N5B and C will have the
> atom type (63)C5A or (64)C5B. Any other type of carbon can't exist if
> 5-ring is an aromatic ring)

>In this situation, where do the types (78)C5 and (79)N5 fit? Can any one
>suggest me a structure in which atom types (78)C5 or (79)N5 would be
>used?

One example is GUANCH01 (protonated guanine) in the validation suite.
The two carbons shared between the 5 and 6 membered rings are 
not part of the imidazolium resonance structure. Because of the
imidazolium part, the position of the atoms relative to "the unique lone-pair
heteroatom" is ambiguous and the L5 parameter in the aromatic substitution
table gets a value of 4. At least, that's what works for me. The aromatic substitution
table is a bit puzzling since several aromatic types (like C5A, for example) appear 
in the "OLD TYPE" column as if the substitution gets called more than once on a given 
structure. Perhaps now that Thomas Halgren is with another company, he can speak freely 
on the subject of implementation. There are many details like this that I have encountered
and it makes me appreciate why he has requested that any implementation that does not pass the
suite of 761 molecules be labeled as "partial". 

Richard Gillilan
Cornell Theory Center